Page 196 of 217 FirstFirst ... 96146186191192193194195196197198199200201206 ... LastLast
Results 3,901 to 3,920 of 4324
Like Tree19Likes
  1. #3901  
    Okay, I'll try again tomorrow. Thanks for the help!
  2. #3902  
    Good news, I got 2.1 installed successfully, and its running nicely in my old Pre-
  3. #3903  
    Quote Originally Posted by Orkavic View Post
    Good news, I got 2.1 installed successfully, and its running nicely in my old Pre-
    So, did git worked later in the night?
    Congratulations!!

    Another person who is not familiar with Linux and yet managed to use it to run metadoctor and install 2.1

    -- Sent from my Palm Pre using Forums
    Just remember: If I helped you, press the thanks button!

    Owner of: Pre Sprint, Pre Telcel, Pre Plus AT&T, Pre 2 Unlocked, Pixi Plus AT&T, and 2 TouchPads (my Pre3 was stolen so it won't appear again here).
    Needs: Veer (anyone?)
    Apps: Subnet Calculator, FreeCam, PhotoFun, NuttyPad (work in progress)
    HomeBrew: meta-doctor and Messaging Plugins collaborator
    Twitter: @cesarneg
  4. #3904  
    This is on a PRE Plus meta doctored to 2.1.
    So I have been looking into the doctor of webos 2.1.2.
    I do not see much of a difference in Flash.
    But there is a newer version of pmvoicecommand_1.4-5.31.2_armv7.ipk
    and then updated pmvoicecommand-enus_1.0-5.31.2_armv7.ipk and pmvoicecommand-esmx_1.0-5.31.2_armv7.ipk.

    I used the remove PMVoice part and uninstalled all other language packs, except the two, copied over the ipk to the usb, then ran ipkg install on each ipk, webos happily updated the root pmvoice to the latest versions.

    My attempt is to see if this fixes the sound issue with voice command. It is working fine for now, but if anyone else would like to try please let me know how your works and if it fixes your sound issues.

    Would it be possible to copy the ROOTFS over from the doctor but keep the kernel for pre? then would that pick us up to 2.1.2?

    I see there is a newer version of the linux kernel but I have on other platforms updated binaries from one version to another and the kernel stayed the same, but updated the application base.
    Last edited by John Steffes; 05/17/2011 at 09:04 AM. Reason: Spelling errors...
  5. #3905  
    Copy the rootfs... hehehe...
    Of course it can be done

    But keep in mind that if Luna or some important system file uses new system calls not provided in the old kernel, the thing won't work

    I'll do this in a few minutes, on my Pre-

    -- Sent from my Palm Pre using Forums
    Just remember: If I helped you, press the thanks button!

    Owner of: Pre Sprint, Pre Telcel, Pre Plus AT&T, Pre 2 Unlocked, Pixi Plus AT&T, and 2 TouchPads (my Pre3 was stolen so it won't appear again here).
    Needs: Veer (anyone?)
    Apps: Subnet Calculator, FreeCam, PhotoFun, NuttyPad (work in progress)
    HomeBrew: meta-doctor and Messaging Plugins collaborator
    Twitter: @cesarneg
  6. #3906  
    Ok, the rootfs depends on new modules in the kernel, those modules are not available in the current version for Pre/Pre+, so, we're pretty much screwed (pulseaudio crashes and won't boot).
    Just remember: If I helped you, press the thanks button!

    Owner of: Pre Sprint, Pre Telcel, Pre Plus AT&T, Pre 2 Unlocked, Pixi Plus AT&T, and 2 TouchPads (my Pre3 was stolen so it won't appear again here).
    Needs: Veer (anyone?)
    Apps: Subnet Calculator, FreeCam, PhotoFun, NuttyPad (work in progress)
    HomeBrew: meta-doctor and Messaging Plugins collaborator
    Twitter: @cesarneg
  7. #3907  
    Thanks for trying the whole ROOTFS, Maybe we can cut&paste from here there, What I was thinking is finding what is linux related versus what is webos related, like under Applications under usr/palm is all webos applications which would have libraries it would depend on.

    But have you meta doctored back to 2.1 but removed the pmvoice and used the new ones from att?

    I have been running that for two days now and have not had any issue related to my sound failing, looking for others to see if it works for them.

    I have a meta-doctor script ready to test if someone wants it. It produces a Verizon Pre+ 2.1 with Verizon 2.0.1 Apps and PMVoice & Flash from 2.1.2.
  8. #3908  
    Quote Originally Posted by John Steffes View Post
    Thanks for trying the whole ROOTFS, Maybe we can cut&paste from here there, What I was thinking is finding what is linux related versus what is webos related, like under Applications under usr/palm is all webos applications which would have libraries it would depend on.

    But have you meta doctored back to 2.1 but removed the pmvoice and used the new ones from att?

    I have been running that for two days now and have not had any issue related to my sound failing, looking for others to see if it works for them.

    I have a meta-doctor script ready to test if someone wants it. It produces a Verizon Pre+ 2.1 with Verizon 2.0.1 Apps and PMVoice & Flash from 2.1.2.
    Well, yes, most things under /usr/palm should work, and the voice apps too, even flash, but something lower than that, I wouldn't think so.

    I really think you should adapt one of the meta doctor scripts and instead distribute that, or you may feel the wrath of the community
    Just remember: If I helped you, press the thanks button!

    Owner of: Pre Sprint, Pre Telcel, Pre Plus AT&T, Pre 2 Unlocked, Pixi Plus AT&T, and 2 TouchPads (my Pre3 was stolen so it won't appear again here).
    Needs: Veer (anyone?)
    Apps: Subnet Calculator, FreeCam, PhotoFun, NuttyPad (work in progress)
    HomeBrew: meta-doctor and Messaging Plugins collaborator
    Twitter: @cesarneg
  9. #3909  
    Well I did update a script just on my system to test, did not want to update any public ones until I know it works for all as a better version.

    But to understand what I did I went thru the novaterm and used ipkg and removed the following using the command: ipkg remove module name of which they would be:

    pmvoicecommand-dede
    pmvoicecommand-engb
    mvoicecommand-eses
    pmvoicecommand-frca
    pmvoicecommand-frfr
    pmvoicecommand-itit

    Then I copied the following from the att.rar of the Veer WEBOS Doctor to my USB of my PRE+:
    pmvoicecommand_1.4-5.31.2_armv7.ipk
    pmvoicecommand-enus_1.0-5.31.2_armv7.ipk
    pmvoicecommand-esmx_1.0-5.31.2_armv7.ipk

    Then ran the ipkg install module name on each IPK, WEBOS happily updated the modules from 5.30 to 5.31.2.

    Again I did not want to update any public script until I know this fixes Voice Dial.

    Please let me know if you tried this and it works let me know...
  10. #3910  
    Quote Originally Posted by John Steffes View Post
    Well I did update a script just on my system to test, did not want to update any public ones until I know it works for all as a better version.

    But to understand what I did I went thru the novaterm and used ipkg and removed the following using the command: ipkg remove module name of which they would be:

    pmvoicecommand-dede
    pmvoicecommand-engb
    mvoicecommand-eses
    pmvoicecommand-frca
    pmvoicecommand-frfr
    pmvoicecommand-itit

    Then I copied the following from the att.rar of the Veer WEBOS Doctor to my USB of my PRE+:
    pmvoicecommand_1.4-5.31.2_armv7.ipk
    pmvoicecommand-enus_1.0-5.31.2_armv7.ipk
    pmvoicecommand-esmx_1.0-5.31.2_armv7.ipk

    Then ran the ipkg install module name on each IPK, WEBOS happily updated the modules from 5.30 to 5.31.2.

    Again I did not want to update any public script until I know this fixes Voice Dial.

    Please let me know if you tried this and it works let me know...
    Perhaps you could even just use ipkg install to update all the files
    Just remember: If I helped you, press the thanks button!

    Owner of: Pre Sprint, Pre Telcel, Pre Plus AT&T, Pre 2 Unlocked, Pixi Plus AT&T, and 2 TouchPads (my Pre3 was stolen so it won't appear again here).
    Needs: Veer (anyone?)
    Apps: Subnet Calculator, FreeCam, PhotoFun, NuttyPad (work in progress)
    HomeBrew: meta-doctor and Messaging Plugins collaborator
    Twitter: @cesarneg
  11. #3911  
    I just ordered my GSM Pre 2 to put onto Sprint and am getting all my ducks in a row to make the Frankenizing as painless and quick as possible.

    One question I had is about the Palm Profile. I use Google for my contacts and calendar and don't have memos/tasks/etc, so even if I have to delete my Palm Profile then it should still sync back to my Google contacts and calendar... is that correct? I understand my SMS texts will be gone.

    I think I'm going to try to just doctor without deleting my Profile backups, since the worst case is I put the comm board in my Pre- and delete them.
  12. #3912  
    Help

    It's not the first time I doctor my Pre- with WebOS 2.1, everything is OK but my apps are not restored!!!!

    I have delete my backup of my palm profile like I have done everytime before and normally my apps was retored i have to re-enter my e-mail config but now no apps!!!

    I think it's because the new app catalog is it?

    Can I reload my apps with something else?

    When I will reload paid apps from the app catalog will they be free because I have already paid for them?

    Thank's
    ----------------------------------
    Alain (abellemare44)
    HP Pre3 2.2.4 (ATT 4G 16 Gigs) with BELL in Canada

    HP TouchPad 16 Gigs Wifi
    With UberKernel 3.0.4 1,8 Ghz
    Cyanogenmod 7 Alpha 3,5 Android 2.3.7


    PS: sorry for the bad english, it's not my native language
  13. #3913  
    Quote Originally Posted by abellemare44 View Post
    Help

    It's not the first time I doctor my Pre- with WebOS 2.1, everything is OK but my apps are not restored!!!!

    I have delete my backup of my palm profile like I have done everytime before and normally my apps was retored i have to re-enter my e-mail config but now no apps!!!

    I think it's because the new app catalog is it?

    Can I reload my apps with something else?

    When I will reload paid apps from the app catalog will they be free because I have already paid for them?

    Thank's
    No Idea on why it did restore your apps previously before and it doesn't now, perhaps you didn't delete your backup properly before doctoring.

    The good news is that, if you try download your already paid apps, they will appear as "free" for you because you've already paid for them

    -- Sent from my Palm Pre using Forums
    Just remember: If I helped you, press the thanks button!

    Owner of: Pre Sprint, Pre Telcel, Pre Plus AT&T, Pre 2 Unlocked, Pixi Plus AT&T, and 2 TouchPads (my Pre3 was stolen so it won't appear again here).
    Needs: Veer (anyone?)
    Apps: Subnet Calculator, FreeCam, PhotoFun, NuttyPad (work in progress)
    HomeBrew: meta-doctor and Messaging Plugins collaborator
    Twitter: @cesarneg
  14. #3914  
    Thank's

    At least my paid apps are free when I redownload them
    ----------------------------------
    Alain (abellemare44)
    HP Pre3 2.2.4 (ATT 4G 16 Gigs) with BELL in Canada

    HP TouchPad 16 Gigs Wifi
    With UberKernel 3.0.4 1,8 Ghz
    Cyanogenmod 7 Alpha 3,5 Android 2.3.7


    PS: sorry for the bad english, it's not my native language
  15. #3915  
    Quote Originally Posted by NuttyBunny View Post
    Are you behind a restrictive firewall? Git uses TCP port 9418 and it can be closed on many corporate firewalls.

    Of course, it could just be that the webos internals server have some kind of problem

    -- Sent from my Palm Pre using Forums
    I am also getting an error on running "git clone git://git.webos-internals.org/tools/meta-doctor.git", except my error is not a connection refused, I'm getting time out errors.
    I can ping 140.211.169.177 which I assume is the IP for this server, so I'm not having a firewall issue. Is that directory down? This is my first time attempting to use Meta-Doctor.

    Update: I tried another internet connection, and it went through.
    Last edited by JettaNinja; 05/20/2011 at 06:46 PM. Reason: Correction
  16. #3916  
    Quote Originally Posted by John Steffes View Post
    I have a meta-doctor script ready to test if someone wants it. It produces a Verizon Pre+ 2.1 with Verizon 2.0.1 Apps and PMVoice & Flash from 2.1.2.
    That'd be nice to have. Voice dialing doesn't work for crap on my phone, maybe an update would improve it.

    I wonder though if WebOSInternals isn't already working on pulling whatever is worthwhile from 2.1.2 and integrating it into the meta-scripts already?
  17.    #3917  
    Quote Originally Posted by John Steffes View Post
    I have a meta-doctor script ready to test if someone wants it. It produces a Verizon Pre+ 2.1 with Verizon 2.0.1 Apps and PMVoice & Flash from 2.1.2.
    Sure, post it here and I'll take a look at it.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  18. #3918  
    Rod here is my update script...

    Just to let you know I had to update the makefile to include the flash upon packing the JAR file the makefile does not select all files under rootfs but a select set.

    Anyway, I have not tested the outcome of the script, except that it launches and upon extracting of the jar all files appear to be there.

    I have updated my phone to the new PMVoice and flash and both have worked fine for me but I updated by my previous posts, updating them by hand. So if someone has a phone they can test on...

    As I do not know the outcome of the JAR file created I highly recommend not doing it on your activated phone. But if anyone does test it and it does not work, or if it works let me know I can or someone on this forum can attempt to fix it. As always you can alway doctor to a stable JAR file.
    Attached Files Attached Files
  19.    #3919  
    Quote Originally Posted by John Steffes View Post
    Rod here is my update script...

    Just to let you know I had to update the makefile to include the flash upon packing the JAR file the makefile does not select all files under rootfs but a select set.
    Thanks. I'm working on some major changes to the Makefile which will make things like this much much easier.

    e.g. (this does not work in the current Makefile, but is indicative of the future once I finish the changes I am making):

    make VERSION=2.1.2 DEVICE=veer CARRIER=att \
    EXTRA_ROOTFS_IPKGS="flash flash-mini-adapter flame" \
    EXTRA_ROOTFS_TARBALL=flash.tar extract-rootfs-ipkgs

    make ${ARGS} \
    EXTRA_ROOTFS_IPKGS="flash flash-mini-adapter flame" \
    EXTRA_ROOTFS_TARBALL=flash.tar clobber-build all

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  20. #3920  
    One more success data point:

    I updated my Verizon Pre+ yesterday from 1.4.5.1, following the wiki instructions. Everything went quite smoothly. Thanks so much to everyone who's worked on this.

    Right now, only problems are with playing WAV files. Will search this thread and elsewhere for solutions.

    Off to implement Step 6. Thanks again.

    -- stan

Posting Permissions